﻿@model eCommerce.Services.Model.LookbookGroup

@{
    ViewBag.Title = "LookbookGroupUpdate";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Tag</h1>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("LookbookGroupUpdate", "LookbookGroup", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off", @enctype = "multipart/form-data" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Nombre</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Name" id="Name" value="@Model.Name" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Seo Url</label>
                            <div class="col-sm-7">
                                <div class="input-group">
                                    <span class="input-group-addon seourl-prefix">/coleccion/</span>
                                    <input type="text" class="form-control" id="SeoUrl" name="SeoUrl" value="@Model.SeoUrl">
                                </div>
                            </div>
                        </div>
                        @*<div class="form-group">
                            <label class="col-sm-2 control-label">Productos</label>
                            <div class="col-sm-9">
                                <select class="form-control" name="Products" id="Products" multiple="multiple" data-plugin="select2">
                                    @if (TempData["Products"] != null)
                                    {
                                        foreach (var item in (MultiSelectList)TempData["Products"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>*@
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Imágen</label>
                            <div class="col-sm-5">
                                <input type="file" name="image" id="image" data-plugin="dropify" data-default-file="@ViewData["Image"]" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Es Campaña</label>
                            <div class="col-sm-9">
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="IsCampaign" id="IsCampaign" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.IsCampaign ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Activo</label>
                            <div class="col-sm-9">
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="Active" id="Active" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.Active ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                </div>
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="submit" id="btnSave" class="btn btn-success"><i class="icon wb-check" aria-hidden="true"></i> Grabar </button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/LookbookGroup'">Cancelar</button>
                            @Html.HiddenFor(model => model.LookbookGroupId)
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    name: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Título es requerido.'
                            }
                        }
                    },
                }
            });
        })();

        $("#Name").keyup(function () {
            var url = $(this).val().toLowerCase().replace(/[^a-z0-9\s]/gi, '').replace(/[_\s]/g, '-');
            $("#SeoUrl").val(url);
        });

        //$('#summernote').summernote({
        //    toolbar: [
        //        // [groupName, [list of button]]
        //        ['style', ['bold', 'italic', 'underline', 'clear']],
        //        ['fontsize', ['fontsize']],
        //        ['insert', ['link', 'picture']],
        //        ['misc', ['codeview']]
        //    ]
        //});

    </script>

}

